Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlCompletionDataSource

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.atl.AtlCompletionDataSource

public class AtlCompletionDataSource extends Object
The AtlCompletionDataSource, retrieves data from EMF metamodels.

## Constructor Summary

Constructors
Constructor
Description
`AtlCompletionDataSource(AtlSourceManager manager)`
Creates a new completion datasource.

## Method Summary

Modifier and Type
Method
Description
`String`
`getATLFileContext()`
Returns the current file context.
`static String`
`getATLFileContext(AtlSourceManager manager)`
Returns the current file context.
`Map<String,org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]>`
`getAtlPrimitiveTypes()`
Returns the ATL primitive types instances.
`Map<String,org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]>`
`getClassifiers(int filter)`
Metamodel classifiers for a given filter.
`String[]`
`getMetamodels()`
Metamodels names.
`static org.eclipse.core.runtime.IPath[]`
`getPaths()`
Computes proposals for EMF paths.
`static String[]`
`getURIs()`
Returns the currently registered URIs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlCompletionDataSource

public AtlCompletionDataSource(AtlSourceManager manager)
Creates a new completion datasource.

Parameters:
  `manager` - the source manager

## Method Details

### getATLFileContext

public String getATLFileContext()
Returns the current file context.

Returns:
  the current file context

### getATLFileContext

public static String getATLFileContext(AtlSourceManager manager)
Returns the current file context.

Returns:
  the current file context

### getURIs

public static String[] getURIs()
Returns the currently registered URIs.

Returns:
  the currently registered URIs

### getPaths

public static org.eclipse.core.runtime.IPath[] getPaths()
Computes proposals for EMF paths.

Returns:
  the proposals

### getMetamodels

public String[] getMetamodels()
Metamodels names.

Returns:
  the names

### getClassifiers

public Map<String,org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]> getClassifiers(int filter)
Metamodel classifiers for a given filter.

Parameters:
  `filter` - the given filter
Returns:
  the filtered classifiers (with metamodelName as key)

### getAtlPrimitiveTypes

public Map<String,org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]> getAtlPrimitiveTypes()
Returns the ATL primitive types instances.

Returns:
  the ATL primitive types instances